Subject: Re: XUPV2P, Kernel 2.6.17 boot problem

From: "David H. Lynch Jr." <[email-masked]>
Date: Fri, 04 Aug 2006 11:35:28 -0400

Peter Korsgaard wrote:
>>>>>> "DHL" == David H Lynch <[email-masked]> writes:
>>>>>>             
>
>   
>>> Linux/PPC load: console=ttyS0,9600.....
>>>
>>> Uncompressing Linux...inflate returned FFFFFFFB exit
>>>
>>>       
>
> DHL>     Zlib was upgraded with 2.6.17. The updated Zlib is broken on
> DHL> ppc32.  I am pretty certain it is fixed in 2.6.18-rc3
>
> No, that was ony added in 2.6.18-rc1 (and the fix was only added
> post-rc3), so that can't be it..
>   
    I am not sure of the details, but I had the exact same problem, I
used "git bisect" to isolate it.
    and it bisected down to the Zlib patch I backed that out and I was
able to go from 2.6.16.21. all the way to 2.6.18-rc2.
    I beleive there is another problem of some kind that effects Xilinx
ppc's that went in and got fixed between 2.6.16.21 and 2.6.18-rcx.
    Though my symptoms were different for that one, and I was never able
to isolate it because even though I could not get 2.6.17 to work,
    The stuff in the 2.6 git tree did.
   
    Have you tried 2.6.18.x to see if your stuff works with it ?

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein